October 24, 2014, 11:48:28 PM

News : LinuxSolved.com Linux Help Community Forum..


Author Topic: OpenLDAP Install fails. BerklyDB (configure: error: BDB/HDB: BerkeleyDB not avai  (Read 1836 times)

Offline vinay.hande

  • New Member
  • Posts: 1

Hi all,

Im new to this so sorry if its already asked.

I am facing a issue here.

Trying to install OpenLDAP on "Red Hat Enterprise Linux Server release 5.2 (Tikanga)".

Kernel : Linux tom.acecorp.com 2.6.18-92.el5 #1 SMP Tue Apr 29 13:16:12 EDT 2008 i686 i686 i386 GNU/Linux

OpenLADP version : openldap-2.4.23

BerkleyDB version : db-5.2.28


BDB was installed properly but unable to install OpenLDAP. Here is where I get an error when I run "./configure" ,

-------------

checking for thr_yield... no
checking for pthread_kill... yes
checking for pthread_rwlock_destroy with <pthread.h>... yes
checking for pthread_detach with <pthread.h>... yes
checking for pthread_setconcurrency... yes
checking for pthread_getconcurrency... yes
checking for thr_setconcurrency... no
checking for thr_getconcurrency... no
checking for pthread_kill_other_threads_np... no
checking for LinuxThreads implementation... no
checking for LinuxThreads consistency... no
checking if pthread_create() works... yes
checking if select yields when using pthreads... yes
checking for thread specific errno... yes
checking for thread specific h_errno... yes
checking for ctime_r... yes
checking for gmtime_r... yes
checking for localtime_r... yes
checking for gethostbyname_r... yes
checking for gethostbyaddr_r... yes
checking number of arguments of ctime_r... 2
checking number of arguments of gethostbyname_r... 6
checking number of arguments of gethostbyaddr_r... 8
checking db.h usability... yes
checking db.h presence... yes
checking for db.h... yes
checking for Berkeley DB major version in db.h... 5
checking for Berkeley DB minor version in db.h... 2
checking if Berkeley DB version supported by BDB/HDB backends... yes
checking for Berkeley DB link (default)... no
configure: error: BDB/HDB: BerkeleyDB not available

------------------

After running through a few posts on the net regarding this I tried the following,

-------

CPPFLAGS="-I/usr/local/BerkeleyDB.5.2/include/"
export CPPFLAGS

LDFLAGS="-L/usr/local/lib -L/usr/local/BerkeleyDB.5.2/lib/ -R/usr/local/BerkeleyDB.5.2/lib/"
export LDFLAGS

LD_LIBRARY_PATH="/usr/local/BerkeleyDB.5.2/lib/"
export LD_LIBRARY_PATH

----------

But still no Luck.

Also tried adding "/usr/local/BerkeleyDB.5.2/lib/" to PATH. but still the error persists.

Please help me understand what I am doing wrong.

Thanks and regards,

Ankur.